> For the complete documentation index, see [llms.txt](https://docs.tutelar.io/tutelar-api-document/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tutelar.io/tutelar-api-document/business-profile/shop-and-establishment.md).

# Shop And Establishment

Validate shop and establishment certificates issued by municipal authorities to confirm legal existence and registration of commercial entities in supported regions.

## shop\_establishment

<mark style="color:green;">`POST`</mark> `https://secctrl.tutelar.io/api/v1/services/business_profile/shop_establishment`

#### Sample Request Body

<table><thead><tr><th width="167">Body</th><th width="148">Type</th><th>Mandatory</th><th width="217">Description</th></tr></thead><tbody><tr><td>regNo</td><td>string</td><td>Yes</td><td>Shop &#x26; Establishment<br>Registration Number to be authenticated</td></tr><tr><td>areaCode</td><td>string</td><td>Yes</td><td>Code of the jurisdiction of registration</td></tr><tr><td>consent</td><td>String</td><td>Yes</td><td>Consent is required to make the API<br>request.</td></tr></tbody></table>

#### Sample Post Parameters

```json
{
  "regNo": "2017000456",
  "areaCode": "DL",
  "consent": "y"
}
```

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "57826ffc-ac68-4aff-8036-4a95e196d7df",
  "status": "completed",
  "result": {
    "category": "Commercial Establishment",
    "status": "",
    "owner_name": "Ramanand",
    "entity_name": "Shiva Enterprises",
    "registration_date": "2/1/2017",
    "valid_to": "",
    "contact": "9560084286, 27917553",
    "commence_date": "2/1/2017",
    "total_workers": "5",
    "fathers_name_of_occupier": "Jag Ram",
    "nature_of_business": "Others",
    "address": "N-18/242, L-block Jj Colony Wazirpur Delhi, Delhi. PIN-110052",
    "valid_from": "",
    "email": "spraygunsales@gmail.com",
    "website_url": "",
    "applicant_name": ""
  },
  "requested_at": "2026-05-18T11:02:33.401Z",
  "completed_at": "2026-05-18T11:02:33.621Z"
}
```

{% endtab %}

{% tab title="200 : In progress" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "b49bb6fe-b457-4af0-a8cf-599b9d29c687",
    "status": "in_progress",
    "requested_at": "2026-05-18T07:33:29.760Z"
}
```

{% endtab %}

{% tab title="400: Validation Error Response" %}

```json
{
  "success": false,
  "code": 400,
  "message": "Invalid input. Please check your request and try again.",
  "error": {
    "message": "Registration number should not be empty",
    "field": "regNo",
    "code": "BAD_REQUEST"
  }
}
{
    "success": false,
    "code": 400,
    "message": "Registration Number should be between 8 and 25 characters",
    "error": {
        "message": "Registration Number should be between 8 and 25 characters",
        "field": "regNo",
        "code": "BAD_REQUEST"
    }
}
{
    "success": false,
    "code": 400,
    "message": "Invalid Registration Number format",
    "error": {
        "message": "Invalid Registration Number format",
        "field": "regNo",
        "code": "BAD_REQUEST"
    }
}
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Area code should not be empty",
        "field": "areaCode",
        "code": "BAD_REQUEST"
    }
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "cd40210f-95de-419d-8624-d0c9ece62588",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2026-05-18T10:10:32.826Z",
    "completed_at": "2026-05-18T10:10:35.253Z"
}
```

{% endtab %}
{% endtabs %}

## Get details

<mark style="color:blue;">`GET`</mark> `https://secctrl.tutelar.io/api/v1/services/business_profile/shop_establishment`

### Query parameters description is given below,

<table><thead><tr><th width="197">Query Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>reference_id </td><td>String </td><td>Yes </td><td>Document reference id</td></tr></tbody></table>

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "57826ffc-ac68-4aff-8036-4a95e196d7df",
  "status": "completed",
  "result": {
    "category": "Commercial Establishment",
    "status": "",
    "owner_name": "Ramanand",
    "entity_name": "Shiva Enterprises",
    "registration_date": "2/1/2017",
    "valid_to": "",
    "contact": "9560084286, 27917553",
    "commence_date": "2/1/2017",
    "total_workers": "5",
    "fathers_name_of_occupier": "Jag Ram",
    "nature_of_business": "Others",
    "address": "N-18/242, L-block Jj Colony Wazirpur Delhi, Delhi. PIN-110052",
    "valid_from": "",
    "email": "spraygunsales@gmail.com",
    "website_url": "",
    "applicant_name": ""
  },
  "requested_at": "2026-05-18T11:02:33.401Z",
  "completed_at": "2026-05-18T11:02:33.621Z"
}
```

{% endtab %}

{% tab title="200: Inprogress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "b49bb6fe-b457-4af0-a8cf-599b9d29c687",
    "status": "in_progress",
    "requested_at": "2026-05-18T07:33:29.760Z"
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "cd40210f-95de-419d-8624-d0c9ece62588",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2026-05-18T10:10:32.826Z",
    "completed_at": "2026-05-18T10:10:35.253Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tutelar.io/tutelar-api-document/business-profile/shop-and-establishment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
